﻿using System;
using PREPTOOLLib;
using Pdftools.Img2Pdf;
using Pdftools.Pdf;

namespace img
{
    class Img
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //出力ファイルを生成
            if (!doc.New("out.pdf", 0, 0))
            {
                Console.WriteLine("'output.pdf'を作成できません");
                Environment.Exit(1);
            }

            //テキストを追加
            content p = doc.Page();
            p.SetFont("Helvetica", 15);
            p.SetTm(1, 0, 0, 1, 50, 100);
            p.PrintText("Text String", 50, 100);

            //コーデック インスタンスを生成
            Img2Img i2p = new Img2Img();
            PdfCodec cdc = new PdfCodec();

            //画像データをオープン
            if (!cdc.Open("image.jpg"))
            {
                Console.WriteLine("コーデックを画像から生成できません");
                Environment.Exit(2);
            }

            //ページ数を指定 (画像の数は１とする)
            cdc.PageNo = 1;

            //画像生成
            short bits = cdc.BitsPerComponent;
            if (cdc.ColorSpace == PDFColorSpace.eColorCMYK)
            {
                bits = 32;
            }
            int imgId = doc.CreateImageEx(cdc.Width, cdc.Height, bits, cdc.ComponentsPerPixel > 1, cdc.Samples, cdc.Palette, cdc.Mask, (short)cdc.Compression);

            //生成した画像を追加
            if (!p.PrintImage(imgId, 50, 400, cdc.Width, cdc.Height))
            {
                Console.WriteLine("画像を追加できません");
                Environment.Exit(3);
            }

            //終了
            doc.Close();
            cdc.Close();
        }
    }
}
